[arch-commits] CVS update of extra/gnome/totem-xine (PKGBUILD)

Jan de Groot jgc at archlinux.org
Thu Dec 27 10:56:49 EST 2007


    Date: Thursday, December 27, 2007 @ 10:56:49
  Author: jgc
    Path: /home/cvs-extra/extra/gnome/totem-xine

Modified: PKGBUILD (1.31 -> 1.32)

upgpkg: totem-xine 2.20.1-3
Build with totem-plparser


----------+
 PKGBUILD |   26 +++++++++++++++-----------
 1 file changed, 15 insertions(+), 11 deletions(-)


Index: extra/gnome/totem-xine/PKGBUILD
diff -u extra/gnome/totem-xine/PKGBUILD:1.31 extra/gnome/totem-xine/PKGBUILD:1.32
--- extra/gnome/totem-xine/PKGBUILD:1.31	Fri Dec 21 07:07:17 2007
+++ extra/gnome/totem-xine/PKGBUILD	Thu Dec 27 10:56:49 2007
@@ -1,40 +1,44 @@
-# $Id: PKGBUILD,v 1.31 2007/12/21 12:07:17 alexander Exp $
+# $Id: PKGBUILD,v 1.32 2007/12/27 15:56:49 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=totem-xine
 pkgver=2.20.1
-pkgrel=2
+pkgrel=3
 url="http://www.hadess.net/totem.php3"
 pkgdesc="A GNOME2 integrated movie player based on xine."
 arch=(i686 x86_64)
 license=('GPL')
-depends=('xine-lib>=1.1.8' "totem-plparser>=${pkgver}" 'gnome-desktop>=2.20.1' 'libxxf86vm' 'libxtst' 'desktop-file-utils')
-makedepends=('perlxml' 'nautilus>=2.20.0' 'xulrunner>=1.8.1.11' 'pkgconfig' 'bluez-libs' 'lirc-utils' 'iso-codes')
+depends=('xine-lib>=1.1.8' "totem-plparser>=2.21.6" 'gnome-desktop>=2.20.1' 'libxxf86vm' 'libxtst' 'desktop-file-utils')
+makedepends=('intltool' 'gnome-common' 'gnome-control-center' 'nautilus>=2.20.0' 'xulrunner>=1.8.1.11' 'pkgconfig' 'bluez-libs' 'lirc-utils' 'iso-codes' 'gnome-doc-utils>=0.12.0')
 options=('!libtool' '!emptydirs')
 conflicts=('totem')
 provides=('totem')
 install=totem.install
-source=(http://ftp.gnome.org/pub/gnome/sources/totem/2.20/totem-${pkgver}.tar.bz2)
-md5sums=('6627727e7abd7a7f95257be8df6359a6')
+source=(http://ftp.gnome.org/pub/gnome/sources/totem/2.20/totem-${pkgver}.tar.bz2
+	totem-plparse.patch)
+md5sums=('6627727e7abd7a7f95257be8df6359a6' 'b2cc763a1d8166eb7532cd17b9f3fe05')
 
 build() {
   [ -z "${MOZ_PLUGIN_PATH}" ] && . /etc/profile.d/mozilla-common.sh
 
   cd ${startdir}/src/totem-${pkgver}
+  patch -Np1 -i ${startdir}/src/totem-plparse.patch || return 1
+  rm -rf src/plparse || return 1
+
+  aclocal || return 1
+  autoconf || return 1
+  automake || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
               --libexecdir=/usr/lib/totem \
               --localstatedir=/var --disable-static \
 	      --disable-lirc \
 	      --enable-nautilus --enable-xine \
 	      --enable-mozilla --with-dbus \
-	      --disable-scrollkeeper --disable-vanity
+	      --disable-scrollkeeper --disable-vanity || return 1
   make || return 1
   
-  sed -i -e 's/SUBDIRS = plugins backend plparse/SUBDIRS = plugins backend/' src/Makefile
-  sed -i -e 's/install-data-am$//' Makefile
-  
   make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 \
-       DESTDIR=${startdir}/pkg install
+       DESTDIR=${startdir}/pkg install || return 1
 
   rm -f ${startdir}/pkg/usr/share/totem/vanity.*
   rm -f ${startdir}/pkg/usr/share/pixmaps/vanity.png




More information about the arch-commits mailing list